[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
RE: [dsdp-tm-dev] Re: dstore server protocol versions

https://bugs.eclipse.org/bugs/show_bug.cgi?id=188365
 

Cheers,
--
Martin Oberhuber
Wind River Systems, Inc.
Target Management Project Lead, DSDP PMC Member
http://www.eclipse.org/dsdp/tm

 


From: dsdp-tm-dev-bounces@xxxxxxxxxxx [mailto:dsdp-tm-dev-bounces@xxxxxxxxxxx] On Behalf Of David McKnight
Sent: Tuesday, May 22, 2007 4:34 PM
To: Oberhuber, Martin
Cc: Target Management developer discussions
Subject: [dsdp-tm-dev] Re: dstore server protocol versions


Yes, a bug for this would be good.

____________________________________
David McKnight    
Phone:   905-413-3902 , T/L:  969-3902
Internet: dmcknigh@xxxxxxxxxx
Mail:       D1/YFY/8200/TOR
____________________________________



"Oberhuber, Martin" <Martin.Oberhuber@xxxxxxxxxxxxx>

22/05/2007 08:32 AM

To
David McKnight/Toronto/IBM@IBMCA, "David Dykstal" <david_dykstal@xxxxxxxxxx>
cc
"Target Management developer discussions" <dsdp-tm-dev@xxxxxxxxxxx>
Subject
dstore server protocol versions





Hi Dave's,

As we're approaching TM 2.0, I'm wondering if there is anything
we need to make sure that users get a proper error message when
they try to use an incorrect dstore server version, e.g.

 1. TM 2.0 client against an RSE 1.0 dstore server,
 2. RSE 1.0 client against a TM 2.0 dstore server,
 3. IBM RSE7 client against openRSE server or vice versa.

I guess that (3) may not be a problem since it's using different
package names everywhere (com.ibm.etools) so it should not be
an issue. Still it should perhaps be checked.

For (1) we should make sure that a proper error message is spit
out since it may be not so obvious that it's not supposed to
work. Should I file a bug for this or what do you think?

Cheers,
--
Martin Oberhuber
Wind River Systems, Inc.
Target Management Project Lead, DSDP PMC Member
http://www.eclipse.org/dsdp/tm